#
# spec file for package rubygem-yajl-ruby
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-yajl-ruby
Version:        1.4.3
Release:        1.14
%define mod_name yajl-ruby
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubydevel >= 2.6.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/brianmario/yajl-ruby
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        rubygem-yajl-ruby-rpmlintrc
Source2:        gem2rpm.yml
Summary:        Ruby C bindings to the excellent Yajl JSON stream-based parser
License:        BSD-3-Clause AND MIT
Group:          Development/Languages/Ruby

%description
Ruby C bindings to the excellent Yajl JSON stream-based parser library.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md LICENSE README.md" \
  -f
%gem_cleanup

%gem_packages

%changelog
* Mon Aug 29 2022 Stephan Kulow <coolo@suse.com>
- Remove upstreamed silence-gcc-warnings.patch
* Mon Aug 29 2022 Stephan Kulow <coolo@suse.com>
  updated to version 1.4.3
  see installed CHANGELOG.md
* Wed Dec 30 2020 Marcus Rueckert <mrueckert@suse.de>
- added silence-gcc-warnings.patch
  silence gcc warnings
* Wed Sep  5 2018 coolo@suse.com
- updated to version 1.4.1
  see installed CHANGELOG.md
* Fri Apr 27 2018 factory-auto@kulow.org
- updated to version 1.4.0
  see installed CHANGELOG.md
* Wed Nov  8 2017 mschnitzer@suse.com
- updated to version 1.3.1
  no changelog entry found
  Fixes bsc#1066565
* Tue Jul  4 2017 mrueckert@suse.de
- regenerate spec file
* Wed Nov  2 2016 coolo@suse.com
- updated to version 1.3.0
  see installed CHANGELOG.md
* Tue Jan 20 2015 tboerger@suse.com
- Stop deleting devel files, ignore them through rpmlintrc instead
* Wed Oct 22 2014 tboerger@suse.com
- Fixed the license as there is still BSD-3-Clause source included
* Wed Oct 22 2014 tboerger@suse.com
- For SLES 11 it exceeds the badness limit
* Wed Oct 22 2014 tboerger@suse.com
- Made it really aware of new macros
- Removed manual entry, maximum badness not exceeded
* Tue Oct 14 2014 adrian@suse.de
- adapt to new rubygem packaging style
* Mon Jul 28 2014 coolo@suse.com
- updated to version 1.2.1, no changelog
* Thu Feb  6 2014 coolo@suse.com
- use new macros
* Fri Dec 20 2013 coolo@suse.com
- updated to version 1.2.0, no changelog
* Tue Jul 24 2012 cfarrell@suse.com
- license update: MIT and BSD-3-Clause
  See data/LICENSE.txt (MIT) - also numerous files are BSD-3-Clause
  licensed
* Tue Jul 10 2012 jatan@suse.de
- Add provides for rubygem-yajl-ruby-1 and rubygem-yajl-ruby-1_1
* Wed Apr  4 2012 coolo@suse.com
- remove .c and .h files to avoid rpmlint exodus
* Tue Apr  3 2012 coolo@suse.com
- update to 1.1
  * fix compilation due to a "bug" in gcc-llvm on 10.7.2
  * fix gemspec so ruby 1.8.6 or later is required
  * add deprecation notice for Yajl's Bzip2 support
  * add deprecation notice for Yajl's Deflate support
  * add deprecation notice for Yajl's Gzip support
  * add deprecation notice for Yajl's JSON gem compatibility API
  * add deprecation notice for Yajl::HttpStream
  * change the path the extension is copied into to be 'lib/yajl'
  * remove 'ext' from the loadpath
  * fix bug where Yajl::HttpStream wouldn't pass through a user-specified socket
  * fix incorrect Ruby initialization hook method name
  * Bump bundled YAJL version to 1.0.12
  * fix to correctly symbolize multibyte characters on 1.9
  * add `:headers` option to Yajl::HttpStream for user-specified arbitrary headers
  * define RSTRING_NOT_MODIFIED for rbx to prevent string caching, making things A LOT faster (100x)
  * fixed a retart bug where Yajl::VERSION wasn't defined when explicitly requiring yajl/http_stream
  * added a new html_safe option to Yajl::Encoder to escape '/' characters for use in the DOM
  * moved away from Jeweler to a Bundler/manual gemfile management setup
  * moved to rspec2
  * fixed some compilation warnings on 1.9.3
  * brought over latest from Yajl upstream
  * finally removed the deprecated Yajl::Stream methods
  * moved to rake-compiler
  * moved to Bundler for development
  * fix memory corruption bug when using :pretty => true and a custom indent string
  * fixed memory leak when exceptions were being raised during a parse
  * fix a bug in chunked http response regex (thanks to http://github.com/kevn for catching this)
  * Make sure json compability doesn't break ActiveSupport#to_json
  * fix improper usage of rb_define_method
  * full string encoding support for 1.9, respecting Encoding.default_internal
  * refactor the #to_json function bodies into a C macro
  * some misc code cleanup in the benchmark scripts
* Thu Jul  1 2010 mrueckert@suse.de
- initial package
